## ros-kinetic-object-recognition-reconstruction 0.3.6

=== src/CMakeLists.txt ===
find_package(Eigen REQUIRED)

include_directories(SYSTEM ${catkin_INCLUDE_DIRS}
                           ${EIGEN_INCLUDE_DIRS}
                           ${PCL_INCLUDE_DIRS}
)

# deal with the reconstruction module
ectomodule(object_recognition_reconstruction DESTINATION ./
                                             INSTALL
  module.cpp
  #surfel_conversion.cpp
  #surfels.cpp
  MatToPointCloud.cpp
  reconstruction_db.cpp
  #SurfelReconstruction.cpp
  PointCloudTransform.cpp
  PointCloudAccumulator.cpp
  PointCloudMesh.cpp
)

link_ecto(object_recognition_reconstruction ${BOOST_LIBRARIES}
                                            ${catkin_LIBRARIES}
                                            ${OpenCV_LIBRARIES}
                                            ${PCL_LIBRARIES}
)


set(USE_ON_ROBOT False)
if (USE_ON_ROBOT)
  include_directories(SYSTEM /usr/include/suitesparse)

  #TODO: use strict diagnostics
  remove_definitions(-Wno-strict-aliasing -Wall -Werror)
  add_definitions(-fpermissive)

  include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

  add_executable(robot_demo robot_demo/robot_demo.cpp
                            robot_demo/poseRT.cpp
                            robot_demo/rosUtils.cpp
                            robot_demo/modelCaptureInterface.cpp
                            robot_demo/dataGrabbing.cpp
  )

  find_package(Boost REQUIRED signals)
  target_link_libraries(robot_demo ${Boost_LIBRARIES}
                                   ${catkin_LIBRARIES}
                                   ${OpenCV_LIBRARIES}
                                   ${PCL_LIBRARIES}
  )
  set_target_properties(robot_demo PROPERTIES COMPILE_FLAGS "-fopenmp" LINK_FLAGS "-fopenmp")
endif()

=== test/CMakeLists.txt ===
object_recognition_core_help_test(${CMAKE_CURRENT_SOURCE_DIR}/../apps/mesh_object)

=== debian/changelog ===
ros-kinetic-object-recognition-reconstruction (0.3.6-0xenial) xenial; urgency=high

  * fix PCL compilation
  * Fix poisson script. Enhance ball pivoting script
  * Contributors: JimmyDaSilva, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 29 Apr 2016 22:00:00 -0000

ros-kinetic-object-recognition-reconstruction (0.3.5-0xenial) xenial; urgency=high

  * Fix the bad conversion dependency.
    ecto_image_pipelne is not compiled with PCL anymore, hence the
    loss of the conversions cells. Fixes #6 <https://github.com/wg-perception/reconstruction/issues/6>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 31 Dec 2015 23:00:00 -0000

ros-kinetic-object-recognition-reconstruction (0.3.4-0xenial) xenial; urgency=high

  * re-writing of #5 without sudo. Needs testing
  * Add a missing parameter to the Laplacian Smooth filter (cotangentWeight)
  * clean extensions
  * Contributors: Jorge Santos Simón, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 19 Apr 2015 22:00:00 -0000

ros-kinetic-object-recognition-reconstruction (0.3.3-0xenial) xenial; urgency=high

  * Merge pull request #3 <https://github.com/wg-perception/reconstruction/issues/3> from garaemon/fix-obs-ids-tuple
    cast obs_ids to list
  * cast obs_ids to list
  * Contributors: Ryohei Ueda, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 13 Dec 2014 23:00:00 -0000

ros-kinetic-object-recognition-reconstruction (0.3.2-0xenial) xenial; urgency=high

  * use local code to convert OpenCV to Eigen
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 20 Nov 2014 23:00:00 -0000

ros-kinetic-object-recognition-reconstruction (0.3.1-0xenial) xenial; urgency=high

  * no need to depend on OpenCV as we get it by transition
  * get the code to compile under Indigo
  * Contributors: Vincent Rabaud
  * no need to depend on OpenCV as we get it by transition
  * get the code to compile under Indigo
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-kinetic-object-recognition-reconstruction (0.3.0-0xenial) xenial; urgency=high

  * drop Fuerte support
  * fix meshlab dependency

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 07 Dec 2013 13:13:06 +0100

=== debian/control ===
Source: ros-kinetic-object-recognition-reconstruction
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-ecto, ros-kinetic-ecto-image-pipeline, ros-kinetic-ecto-pcl, ros-kinetic-object-recognition-core, ros-kinetic-opencv-candidate, ros-kinetic-sensor-msgs
Homepage: http://wg-perception.github.io/reconstruction/
Standards-Version: 3.9.2

Package: ros-kinetic-object-recognition-reconstruction
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, meshlab, ros-kinetic-ecto, ros-kinetic-ecto-image-pipeline, ros-kinetic-ecto-pcl, ros-kinetic-object-recognition-core, ros-kinetic-opencv-candidate
Description: basic 3d reconstruction of an object from aligned Kinect data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-object-recognition-reconstruction//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
